import PaginationOptions from '../../domain/models/pagination-options';
import SortOptions from '../../domain/models/sort-options';
export declare function setWhere(url: URL, filter: any, initKey?: string): void;
export declare function setLimitAndOffset(url: URL, pagination?: PaginationOptions): void;
export declare function setOrder(url: URL, ordering?: SortOptions): void;
